Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.client
Class PartialRequestBuilder<T extends RequestBuilder>

    java.lang.Object
      com.sun.jersey.api.client.PartialRequestBuilder<T>

Type Parameters:
  `T` - the type than implements `RequestBuilder`.

All Implemented Interfaces:
  RequestBuilder<T>

Direct Known Subclasses:
  AsyncWebResource.Builder, ClientRequest.Builder, WebResource.Builder

    public abstract class PartialRequestBuilder<T extends RequestBuilder>

extends java.lang.Object
implements RequestBuilder<T>

A partial implementation of `RequestBuilder` that implements the methods on `RequestBuilder` but leaves undefined the build methods for constructing the request.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected java.lang.Object` | `entity`
`protected javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.Object>` | `metadata`

Constructor Summary
`protected` | `PartialRequestBuilder()`

Method Summary
`T` | `accept(javax.ws.rs.core.MediaType... types)` Add acceptable media types.
`T` | `accept(java.lang.String... types)` Add acceptable media types.
`T` | `acceptLanguage(java.util.Locale... locales)` Add acceptable languages
`T` | `acceptLanguage(java.lang.String... locales)` Add acceptable languages
`T` | `cookie(javax.ws.rs.core.Cookie cookie)` Add a cookie to be set.
`T` | `entity(java.lang.Object entity)` Set the request entity.
`T` | `entity(java.lang.Object entity, javax.ws.rs.core.MediaType type)` Set the request entity it's media type.
`T` | `entity(java.lang.Object entity, java.lang.String type)` Set the request entity it's media type.
`T` | `header(java.lang.String name, java.lang.Object value)` Add an HTTP header and value.
`T` | `type(javax.ws.rs.core.MediaType type)` Set the media type.
`T` | `type(java.lang.String type)` Set the media type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entity

    protected java.lang.Object entity

### metadata

    protected javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.Object> metadata

Constructor Detail

### PartialRequestBuilder

    protected PartialRequestBuilder()

Method Detail

### entity

    public T entity(java.lang.Object entity)

  Description copied from interface: `RequestBuilder`
  Set the request entity.

  Any Java type instance for a request entity, that is supported by the client configuration of the client, can be passed. If generic information is required then an instance of `GenericEntity` may be used.

  Specified by:
    `entity` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `entity` - the request entity
  Returns:
    the builder.

### entity

    public T entity(java.lang.Object entity,
                    javax.ws.rs.core.MediaType type)

  Description copied from interface: `RequestBuilder`
  Set the request entity it's media type.

  Any Java type instance for a request entity, that is supported by the client configuration of the client, can be passed. If generic information is required then an instance of `GenericEntity` may be used.

  Specified by:
    `entity` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `entity` - the request entity
    `type` - the media type
  Returns:
    the builder.

### entity

    public T entity(java.lang.Object entity,
                    java.lang.String type)

  Description copied from interface: `RequestBuilder`
  Set the request entity it's media type.

  Any Java type instance for a request entity, that is supported by the client configuration of the client, can be passed. If generic information is required then an instance of `GenericEntity` may be used.

  Specified by:
    `entity` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `entity` - the request entity
    `type` - the media type
  Returns:
    the builder.

### type

    public T type(javax.ws.rs.core.MediaType type)

  Description copied from interface: `RequestBuilder`
  Set the media type.

  Specified by:
    `type` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `type` - the media type
  Returns:
    the builder.

### type

    public T type(java.lang.String type)

  Description copied from interface: `RequestBuilder`
  Set the media type.

  Specified by:
    `type` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `type` - the media type
  Returns:
    the builder.

### accept

    public T accept(javax.ws.rs.core.MediaType... types)

  Description copied from interface: `RequestBuilder`
  Add acceptable media types.

  Specified by:
    `accept` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `types` - an array of the acceptable media types
  Returns:
    the builder.

### accept

    public T accept(java.lang.String... types)

  Description copied from interface: `RequestBuilder`
  Add acceptable media types.

  Specified by:
    `accept` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `types` - an array of the acceptable media types
  Returns:
    the builder.

### acceptLanguage

    public T acceptLanguage(java.util.Locale... locales)

  Description copied from interface: `RequestBuilder`
  Add acceptable languages

  Specified by:
    `acceptLanguage` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `locales` - an array of the acceptable languages
  Returns:
    the builder.

### acceptLanguage

    public T acceptLanguage(java.lang.String... locales)

  Description copied from interface: `RequestBuilder`
  Add acceptable languages

  Specified by:
    `acceptLanguage` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `locales` - an array of the acceptable languages
  Returns:
    the builder.

### cookie

    public T cookie(javax.ws.rs.core.Cookie cookie)

  Description copied from interface: `RequestBuilder`
  Add a cookie to be set.

  Specified by:
    `cookie` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `cookie` - to be set.
  Returns:
    the builder

### header

    public T header(java.lang.String name,
                    java.lang.Object value)

  Description copied from interface: `RequestBuilder`
  Add an HTTP header and value.

  Specified by:
    `header` in interface `RequestBuilder<T extends RequestBuilder>`
  Parameters:
    `name` - the HTTP header name.
    `value` - the HTTP header value.
  Returns:
    the builder.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.